GNU Radio C++ API Reference: HistogramDisplayForm Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
HistogramDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing histogram domain plots. More...

`#include <gnuradio/qtgui/histogramdisplayform.h>`

## Public Slots
void | customEvent (QEvent *e) override
void | setYaxis (double min, double max)
void | setXaxis (double min, double max)
void | setNPoints (const int)
void | autoScale (bool en) override
void | setSemilogx (bool en)
void | setSemilogy (bool en)
void | setNumBins (const int)
void | setAccumulate (bool en)
bool | getAccumulate ()
void | autoScaleX ()
Public Slots inherited from DisplayForm
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Public Member Functions
| HistogramDisplayForm (int nplots=1, QWidget *parent=0)
| ~HistogramDisplayForm () override
HistogramDisplayPlot * | getPlot () override
int | getNPoints () const
Public Member Functions inherited from DisplayForm
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Additional Inherited Members
Signals inherited from DisplayForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)
Protected Attributes inherited from DisplayForm
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

DisplayForm child for managing histogram domain plots.

## Constructor & Destructor Documentation

## ◆ HistogramDisplayForm()

HistogramDisplayForm::HistogramDisplayForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ◆ ~HistogramDisplayForm()

HistogramDisplayForm::~HistogramDisplayForm | ( |  | ) |
| override

## Member Function Documentation

## ◆ autoScale

void HistogramDisplayForm::autoScale | ( | bool | en | ) |
| overrideslot

## ◆ autoScaleX

void HistogramDisplayForm::autoScaleX | ( |  | ) |
| slot

## ◆ customEvent

void HistogramDisplayForm::customEvent | ( | QEvent * | e | ) |
| overrideslot

## ◆ getAccumulate

bool HistogramDisplayForm::getAccumulate | ( |  | ) |
| slot

## ◆ getNPoints()

int HistogramDisplayForm::getNPoints | ( |  | ) | const

## ◆ getPlot()

HistogramDisplayPlot * HistogramDisplayForm::getPlot | ( |  | ) |
| overridevirtual

Implements DisplayForm.

## ◆ setAccumulate

void HistogramDisplayForm::setAccumulate | ( | bool | en | ) |
| slot

## ◆ setNPoints

void HistogramDisplayForm::setNPoints | ( | const int |  | ) |
| slot

## ◆ setNumBins

void HistogramDisplayForm::setNumBins | ( | const int |  | ) |
| slot

## ◆ setSemilogx

void HistogramDisplayForm::setSemilogx | ( | bool | en | ) |
| slot

## ◆ setSemilogy

void HistogramDisplayForm::setSemilogy | ( | bool | en | ) |
| slot

## ◆ setXaxis

void HistogramDisplayForm::setXaxis | ( | double | min,
|  | double | max )
| slot

## ◆ setYaxis

void HistogramDisplayForm::setYaxis | ( | double | min,
|  | double | max )
| slot

The documentation for this class was generated from the following file:

- histogramdisplayform.h